package com.goafanti.customer.bo;

import com.goafanti.common.constant.ErrorConstants;
import com.goafanti.common.utils.Param;

import javax.validation.constraints.NotNull;

public class InputAddCustomer {

    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    @Param(name = "名称")
    private String name;

    private String contacts;

    private String contactMobile;

    private Integer type;

    private Integer province;

    private Integer city;

    private Integer area;
    private Integer level;
    private Integer source;
    private String societyTag;
    private String orgCode;
    private String position;
    private Integer industry;
    private String businessScope;
    private String intendedProject;

    private Integer newChannel;
    /**
     * 简介
     */

    private String introduction;

    /**
     * 共享类型 0=私有 1=公共 2=签单 3=外联 4=渠道
     */
    private Integer   shareType;

    /**
     *  渠道类别：1=政府部门,2=民主党派3=园区,4=民间组织,5=其他战略合作单位
     */
    @NotNull(message = "{"+ ErrorConstants.PARAM_EMPTY_ERROR+"}")
    @Param(name = "渠道类别")
    private Integer   channelType;


    /**
     * 客户性质0=其他，1=政府机构，2=科研院所，3=高等院校，4=国有企业，5=民营企业，6=社会团体
     */
    private Integer nature;
    /**
     * 客户性质其他说明
     */
    private String natureOther;

    /**
     * 企业性质 0=其他，1=国企，2=央企，3=私企，4=合资企业（含港澳台），5=外资控股
     */
    private Integer enterpriseNature;
    /**
     * 上市 0=否，1=是
     */
    private Integer listedNature;

    public Integer getEnterpriseNature() {
        return enterpriseNature;
    }

    public void setEnterpriseNature(Integer enterpriseNature) {
        this.enterpriseNature = enterpriseNature;
    }

    public Integer getListedNature() {
        return listedNature;
    }

    public void setListedNature(Integer listedNature) {
        this.listedNature = listedNature;
    }

    public String getNatureOther() {
        return natureOther;
    }

    public void setNatureOther(String natureOther) {
        this.natureOther = natureOther;
    }

    public Integer getNature() {
        return nature;
    }

    public void setNature(Integer nature) {
        this.nature = nature;
    }


    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public Integer getNewChannel() {
        return newChannel;
    }

    public void setNewChannel(Integer newChannel) {
        this.newChannel = newChannel;
    }

    public Integer getChannelType() {
        return channelType;
    }

    public void setChannelType(Integer channelType) {
        this.channelType = channelType;
    }

    public Integer getShareType() {
        return shareType;
    }

    public void setShareType(Integer shareType) {
        this.shareType = shareType;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getIntendedProject() {
        return intendedProject;
    }

    public void setIntendedProject(String intendedProject) {
        this.intendedProject = intendedProject;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public Integer getIndustry() {
        return industry;
    }

    public void setIndustry(Integer industry) {
        this.industry = industry;
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }

    public String getName() {
        return name.replace(" ", "");
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getContactMobile() {
        return contactMobile;
    }

    public void setContactMobile(String contactMobile) {
        this.contactMobile = contactMobile;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getProvince() {
        return province;
    }

    public void setProvince(Integer province) {
        this.province = province;
    }

    public Integer getCity() {
        return city;
    }

    public void setCity(Integer city) {
        this.city = city;
    }

    public Integer getArea() {
        return area;
    }

    public void setArea(Integer area) {
        this.area = area;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public String getSocietyTag() {
        return societyTag;
    }

    public void setSocietyTag(String societyTag) {
        this.societyTag = societyTag;
    }
}
